Subject: Re: bug#23609: 25.0.92; Python eldoc freeze

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 May 2016 22:49:13 +0300

> From: Jules Tamagnan <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 27 May 2016 15:43:18 -0400
> 
> > Once again, perhaps I misunderstand the nature of the problem, but
> > doesn't it happen only when the Python interpreter is busy doing
> > something when the eldoc function is invoked?  If so, then the next
> > time eldoc is invoked, the Python interpreter might not be busy, and
> > the feature will work without hanging, right?  Or am I missing
> > something?
> 
> No that's exactly correct. I'm just thinking of it from the point of
> view that perhaps somebody is plotting a graph from the interpreter
> which causes the interpreter to be busy. Then while having that graph
> open they would still like to be able to edit their code (I have been in
> this situation dozens of times). Or if the code they are running takes a
> a minute or two there is a good chance that they would want to edit some
> of the code while it is running. In those scenarios I feel like it makes
> sense to stop eldoc from doing the automatic checking permanently for
> that buffer because otherwise my work would be constantly interrupted.

OK, so let's go with your suggestion, but make that message we agreed
should be added say something like

  ElDoc mode echo-area display turned off; type .... to turn on

where "..." stands for whatever needs to be done to turn it back on
again.

Also, I do think a defcustom is due instead of a hardwired constant of
1 sec.

Could you please augment your patch along these lines?

Thanks.